Subject: RE: Cryptic Error Message

From: "Douglas Miles (Volt Computer)" <[email-masked]>
Date: Fri, 26 Nov 1999 02:42:56 -0800

I figured I would upgrade to 3.3.0 beta upon this error.. and see if that
would help.

It did.. Then though maybe it was probably just my overheated cpu :)... 
Or bad NIC card.. cause the box locked up an hour later. 

So after getting 3.3.0 working I am now upgrading the ~swi/library
I had not realized how much I edited it up.. adding functions allot..
Wondering which of the ~swi/library files are new in 3.3.0?
And only make required changes to my old ones.

I wanted to mention I like the "%" in
 %  quintus compiled into quintus 0.01 sec, 11,580 bytes

Have a prolog program that communicates entirely over sockets (the tcp.tgz
from /ALPHA) and trying
 to use write, listing.. all that is stdout messages.. 
I want to change the stderr and stdout to a function like ...
... all writing to call the clauses
mystderr(X)...
mystdout(X)...

Thank you, 
[mailto:[email-masked]]

-----Original Message-----
From: Jan Wielemaker [mailto:[email-masked]]
Sent: Friday, November 26, 1999 12:52 AM
To: [email-masked]
Subject: Re: Cryptic Error Message

On Fri, 26 Nov 1999, Douglas Miles (Volt Computer) wrote:
>what does error mean?
>
>[nobody@www library]$ ./mypl.runtime
>
>[WARNING: Out of local stack while not in Prolog!?]
>pl: pl-alloc.c:218: outOfStack: Assertion `0' failed.

In most cases this is a segmentation fault that is misinterpreded
as a stack-overflow.  What to do next?

For debugging this type of error, it is a good idea to make a
Prolog that does not handle stack-overflows using segmentation
faults using

	./configure <options> --disable-segv-handling

and next run prolog under the C-debugger.  If all functions
properly you can revert to the segv-handing based stack guarding.

	Regards --- Jan